package seu.common.clustering;

import seu.model.SEUWorldModel;
import seu.model.object.SEUBuilding;

public class FireclusterMembershipCheckerEstimatorBased implements ClusterMembershipChecker_Interface{

	@Override
	public boolean membershipCheck(SEUWorldModel world, SEUBuilding seuBuilding) {
		boolean isMember = false;
		int estimatefFieryness = seuBuilding.getEstimatedFieryness();
		seuBuilding.BUILDING_VALUE = Double.MAX_VALUE;
		
		double estimateTemperature = seuBuilding.getEstimatedTemperature();
		if (seuBuilding.getSelfBuilding() != null && seuBuilding.isInflammable())
			if (estimatefFieryness != 8 && estimateTemperature > 47)
				isMember = true;
			else
				world.getBurningBuildings().remove(seuBuilding.getSelfBuilding());
		return isMember;
	}
}
