package seu.common.clustering;

import seu.model.SEUWorldModel;
import seu.model.object.SEUBuilding;

public class NormalClustarMemberChecker implements ClusterMembershipChecker_Interface{

	@Override
	public boolean membershipCheck(SEUWorldModel world, SEUBuilding seuBuilding) {
		boolean isMember = false;
		int estimatefFieryness = seuBuilding.getEstimatedFieryness();
		//seuBuilding.BUILDING_VALUE = Double.MAX_VALUE;
		
		double estimateTemperature = seuBuilding.getEstimatedTemperature();
		if (seuBuilding.getSelfBuilding() != null )
			if (estimatefFieryness == 0 || estimatefFieryness == 4 || estimatefFieryness == 5)
				isMember = true;
			
		return isMember;
	}
}
