package seu.message.Type;

import java.util.ArrayList;
import java.util.List;

import rescuecore2.worldmodel.EntityID;
import seu.message.Property.IntegerProperty;
import seu.message.Property.MessageProperty;
import seu.message.Property.PropertyName;
 

public class AgentPositionMessage extends Message {

    
    public AgentPositionMessage() {
		super();
	}    
	
	public AgentPositionMessage(int PositionMessage) {
		this();
	
		setInteger(PropertyName.PositionMessage, PositionMessage);
	}
 

	@Override
	protected List<MessageProperty<?>> createProperties() {
	 
		  
		
		List<MessageProperty<?>> properties = new ArrayList<MessageProperty<?>>();
		properties.add(new IntegerProperty(PropertyName.PositionMessage,2));
		return properties;
	}
	
	 
	 
	public int getbyte() {
		return 2;
	}
	
 
	@Override
	public MessageType getType() {
		return MessageType.AgentPositionMessage;
	}

 

	public int getPositionMessage() {
		return getInteger(PropertyName.PositionMessage);
	}

//	 public int ToBinary(int n){
//		List<Integer> m=new ArrayList<Integer>();
//		int i=0;
//	int total=0;
//		if(n==0) return 0;
//	while(n!=0){
//			m.add(n%2);
//			n=n/2;
//			i++;
//		}
//	 for(int j=0;j<m.size();j++){
//		 total=total+m.get(j)*10^j;
//	 }
//	  return total;	 
//		 
// }
//	 
//	public int ToDecimal(int n){
//		
//		int total=0;
//		int i=1;
//		while(n!=0){	
//			total=n%(10^i)*(8^(i-1));
//			n=n/10;
//			i++;
//			
//		}
//		return total;
//		
//	}
//	public   int needBitSize(int n) {//需要位的大小
//		int size = 0;
//		do {
//			size++;
//			n >>>= 1;
//		} while (n != 0);
//		return size;
//	}
//	
//	public int needByte(int n){
//		if(n%8!=0)
//			return n/8+1;
//		else
//		return n/8;
//		
//		
//		
//	}

}
