package seu.message.Type;

import java.util.ArrayList;
import java.util.List;

import rescuecore2.worldmodel.EntityID;
import seu.message.Property.IntegerProperty;
import seu.message.Property.MessageProperty;
import seu.message.Property.PropertyName;

public class ChannelCondition extends Message {
	
	
	

	@Override
	protected List<MessageProperty<?>> createProperties() {
		List<MessageProperty<?>> list = new ArrayList<MessageProperty<?>>();
		list.add(new IntegerProperty(PropertyName.Channel,1));
		list.add(new IntegerProperty(PropertyName.ChannelCounter,1));
		
		return list;
	}
	

	public int getbyte() {
		return 2;
	}

	@Override
	public MessageType getType() {
		return MessageType.ChannelCondition;
	
	}
	public ChannelCondition() {
		
		super();
	
	}
	public ChannelCondition(int channel,int repeat) {
		
		this();
		setInteger(PropertyName.Channel, channel);
		setInteger(PropertyName.ChannelCounter, repeat);
	}

	public int getChannel() {
		return getInteger(PropertyName.Channel);
	}

	public int getChannelCounter() {
		return getInteger(PropertyName.ChannelCounter) ;
	}


	@Override
	public String toString() {
		return "Count("  + ")";
	}
}
