package seu.message.Type;

import java.util.ArrayList;
import java.util.List;

import seu.message.Property.IntegerProperty;
import seu.message.Property.MessageProperty;
import seu.message.Property.PropertyName;

public class RemovedClusterMessage extends Message {

  
	  
	    
	    public RemovedClusterMessage() {
			super();
		}    

	public RemovedClusterMessage(int Index) {
		this();
		setInteger(PropertyName.ClusterIndex, Index);
		 
	}

	@Override
	protected List<MessageProperty<?>> createProperties() {
		List<MessageProperty<?>> properties = new ArrayList<MessageProperty<?>>();
		properties.add(new IntegerProperty(PropertyName.ClusterIndex, 1));
		return properties;
	}
	 
	public int getbyte() {
		return 1;
	}

	@Override
	public MessageType getType() {
		return MessageType.RemovedClusterMessage;
	}

	public int getClusterIndex() {
		return getInteger(PropertyName.ClusterIndex);
	}
}
