package seu.message.Type;

import java.util.ArrayList;
import java.util.List;

import seu.message.Property.IntegerProperty;
import seu.message.Property.MessageProperty;
import seu.message.Property.PropertyName;

public class WaterMessage extends Message {

	    
	    public WaterMessage() {
			super();
		}    


	public WaterMessage(int BuildingNumberAndWaterAndTimeStep) {
		this();
		
		setInteger(PropertyName.BuildingNumberAndWaterAndTimeStep, BuildingNumberAndWaterAndTimeStep);
		//setInteger(PropertyName.Water, water);
		//setInteger(PropertyName.TimeStep, time);
	}

	@Override
	protected List<MessageProperty<?>> createProperties() {
		List<MessageProperty<?>> properties = new ArrayList<MessageProperty<?>>();
		properties.add(new IntegerProperty(PropertyName.BuildingNumberAndWaterAndTimeStep, 3));
		//properties.add(new IntegerProperty(PropertyName.Water, 2));
		//properties.add(new IntegerProperty(PropertyName.TimeStep, 2));
		return properties;
	}
 
	public int getbyte() {
		return 3;
	}

	@Override
	public MessageType getType() {
		return MessageType.WaterMessage;
	}

	public int getBuildingNumberAndWaterAndTimeStep() {
		return getInteger(PropertyName.BuildingNumberAndWaterAndTimeStep);
	}

//	public int getWater() {
//		return getInteger(PropertyName.Water);
//	}
//	public int getTimeStep() {
//		return getInteger(PropertyName.TimeStep);
//	}
}
