package seu.agent.at.buriedHuman;

import java.util.Collection;
import java.util.HashSet;
import java.util.Set;

import seu.agent.at.buriedHuman.DamageType.DamageTypeEnum;

import rescuecore2.standard.entities.Human;

public class BuriedHumanDamageInfo {
	private Human human;
	private int damageTypeIndex;
	private boolean isDamageSure;
	private Set<DamageType> possibleDamage;
	
	public BuriedHumanDamageInfo(Human human , Collection<DamageType> damageTypes){
		this.human = human;
		possibleDamage = new HashSet<DamageType>();
		possibleDamage.addAll(damageTypes);
		isDamageSure = false;
	}
	
	public boolean isDamageSure(){
		return isDamageSure;
	}
	
	public Set<DamageType> getPossibleDamage(){
		return possibleDamage;
	}
	
	public void setDamageType(int damageTypeIndex){
		this.damageTypeIndex = damageTypeIndex;
	}
	
	public int getDamageTypeIndex(){
		return damageTypeIndex;
	}
	
	public DamageTypeEnum getDamageType(){
		return DamageTypeEnum.values()[damageTypeIndex];
	}
	
	public void damageTypeSure(){
		isDamageSure = true;
	}
	
	public Human getHuman(){
		return human;
	}
	
	
}
