   package seu.agent;

import java.util.Collection;

import rescuecore2.messages.Command;
import rescuecore2.standard.entities.StandardEntityURN;
import rescuecore2.standard.messages.AKSpeak;
import seu.agent.SEUAgent;
import seu.message.MessagePriority;
import seu.message.Property.PropertyName;
import seu.message.Type.ChannelCondition;
import seu.message.Type.Message;
import seu.message.newPart.MessageCount1;
import seu.message.newPart.MessageCount10;
import seu.message.newPart.MessageCount2;
import seu.message.newPart.MessageCount3;
import seu.message.newPart.MessageCount4;
import seu.message.newPart.MessageCount5;
import seu.message.newPart.MessageCount6;
import seu.message.newPart.MessageCount7;
import seu.message.newPart.MessageCount8;
import seu.message.newPart.MessageCount9;

public class testChannel {

	private final SEUAgent agent;

	public testChannel(SEUAgent agent1) {
		agent = agent1;
	}

	public void distributeChannel(Collection<Command> heard) {

		if (agent.timeStep== 3)
			testChannel();

		if (agent.timeStep == 4) {
			processTestHearing(heard);
			broadCastCommunicationCondition();

		}
		if (agent.timeStep == 5) {
			processTestHearing1(heard);

			OnesChannel();
			int[] channels = agent.getChannelsToSubscribe();
			agent.sendSubscribe(agent.timeStep, channels);
		}

	}

	protected void processTestHearing1(Collection<Command> heard) {

		agent.messageMemory.clearOldMessages(agent.timeStep);
		for (Command command : heard) {
			if (command instanceof AKSpeak) {
				AKSpeak speakCommand;

				speakCommand = (AKSpeak) command;
//				if (agent.isCivilianCommand(speakCommand)) {
//					agent.processCivilianCommand(speakCommand);
//				}
				if (agent.shouldProcessCommand(command)) {
					processTestHearing1((AKSpeak) command);
				} else {
				}
			} else {
			}
		}
	}

	private void processChannelCondition1(ChannelCondition m) {

		int channel = m.getInteger(PropertyName.Channel);
		int channelCounter = m.getInteger(PropertyName.ChannelCounter);
		if (channelCounter > 0)
			channelConditionList[channel - 1] = channelCounter;

		// channelRealConditionList[channel-1]=this.sayMessageTransfer.g
		// for(int
		// i=0;i<channel;i++)System.out.print(channelConditionList[i]+" ");
		// System.out.println();

	}

	protected void processTestHearing1(AKSpeak command) {
		totalMessage++;
		byte[] bytes = command.getContent();

		try {
			Message message = agent.sayMessageTransfer.receive(bytes);
			message.setSender(command.getAgentID());
			message.setReceivedStep(agent.timeStep);
			// System.err.println("TimeStep:"+agent.timeStep+" ID:"+message.getId()+" Type:"+message.getType());
			// if (agent.messageMemory.shouldProcessMessage(message))
			{
				//agent.totalReceived++;

				if (message instanceof ChannelCondition) {
					ChannelCondition m = (ChannelCondition) message;
					processChannelCondition(m);
				}

				agent.messageMemory.setMessageAsProcessed(message);
				// System.out.println("REICEIVE!timeStep:"+this.getTimeStep()+" TYPE:"+message.getType());
			}
		} catch (Exception e) {
			e.printStackTrace();
		}
	}

	protected void processTestChannel(AKSpeak heard) {
		byte[] bytes = heard.getContent();
		try {

			Message message = agent.sayMessageTransfer.receive(bytes);
			message.setSender(heard.getAgentID());
			// System.out.println(message.getType());
			message.setReceivedStep(agent.timeStep);
			// if (agent.messageMemory.shouldProcessMessage(message))
			{
				//agent.totalReceived++;
				// System.out.println("*******************"+agent.totalReceived);
				agent.agentType = agent.me().getStandardURN();

				if (agent.agentType == StandardEntityURN.FIRE_BRIGADE) {
					processTestChannel1(message);
					processTestChannel2(message);
					processTestChannel3(message);
					processTestChannel4(message);

				}
				if (agent.agentType == StandardEntityURN.AMBULANCE_TEAM) {
					processTestChannel5(message);
					processTestChannel6(message);
					processTestChannel7(message);
					processTestChannel8(message);

				}
				if (agent.agentType == StandardEntityURN.POLICE_FORCE) {
					processTestChannel9(message);
					processTestChannel10(message);

				}
				// System.out.println(totalNumOfReceivedMessage1);
				agent.messageMemory.setMessageAsProcessed(message);

			}
		} catch (Exception e) {
			e.printStackTrace();
		}

	}

	private static int totalNumOfReceivedMessage1 = 0;

	private static int totalNumOfReceivedMessage2 = 0;

	private static int totalNumOfReceivedMessage3 = 0;

	private static int totalNumOfReceivedMessage4 = 0;

	private static int totalNumOfReceivedMessage5 = 0;

	private static int totalNumOfReceivedMessage6 = 0;

	private static int totalNumOfReceivedMessage7 = 0;

	private static int totalNumOfReceivedMessage8 = 0;

	private static int totalNumOfReceivedMessage9 = 0;

	private static int totalNumOfReceivedMessage10 = 0;

	private static int totalMessage = 0;

	//

	protected void processTestHearing(Collection<Command> heard) {

		agent.messageMemory.clearOldMessages(agent.timeStep);
		for (Command command : heard) {
			if (command instanceof AKSpeak) {
				AKSpeak speakCommand;

				speakCommand = (AKSpeak) command;
//				if (agent.isCivilianCommand(speakCommand)) {
//					agent.processCivilianCommand(speakCommand);
//				}
				if (agent.shouldProcessCommand(command)) {
					processTestChannel((AKSpeak) command);
				} else {
				}
			} else {
			}
		}
	}

	private final int channelConditionList[] = new int[21];
	private final int channelRealConditionList[] = new int[21];

	private void OnesChannel() {
		// TODO Auto-generated method stub
		int i, j;
		int[] channelRank = new int[21];
		int n = agent.sayMessageTransfer.getChannelCount();
		for (i = 0; i < n - 1; i++) {
		//	 System.out.println("!!!!!!!!!!!!!!!!"+this.channelRealConditionList[i]+"!!!!!!!!!!!!");
			int counter = 0;
			for (j = 0; j < n - 1; j++) {
				
				if (i != j){
					
					if (this.channelRealConditionList[i] <this.channelRealConditionList[j]) {  //wan
						counter++;
					} else if (this.channelRealConditionList[i] == this.channelRealConditionList[j]) {  //wan
						if (i > j)
							counter++;
					}
				}
			}

			channelRank[i] = counter;
		}
//		for (i = 0; i < n - 1; i++) {
//			System.out.println("channelRank[i]    "+i+"       "+channelRank[i]);
//		}
		/*for (i = 0; i <= 9; i++)
			if (channelConditionList[i] < 1)
				channelConditionList[i] = 1;
		
		 System.out.println("LSIT:" + channelConditionList[0] + " "
		 + channelConditionList[1] + " " + channelConditionList[2] + " "
		 + channelConditionList[3] + " " + channelConditionList[4] + " "
		 + channelConditionList[5] + " " + channelConditionList[6] + " "
		 + channelConditionList[7] + " " + channelConditionList[8] + " "
		 + channelConditionList[9] + " ");*/

		reDistributeChannel(channelRank);

	}

	private void reDistributeChannel(int[] channelRank) {
		int m = this.agent.sayMessageTransfer.getNumofPlatoon();

		agent.sayMessageTransfer.setChannelMap(channelRank,
				channelConditionList,channelRealConditionList,m);
		// agent.sayMessageTransfer.
	}

	private void broadCastCommunicationCondition() {

		int[] channels;

		channels = agent.getFirstChannelToSusbscribe();// ALL THE AGENT LISTEN
														// TO CHANNEL 1
		agent.sendSubscribe(agent.timeStep, channels);
		CommunicationCondition();

	}

	private void CommunicationCondition() {
		double succRate[] = new double[4];
		int n = agent.sayMessageTransfer.getChannelCount();

		agent.agentType = agent.me().getStandardURN();
		if (agent.agentType == StandardEntityURN.FIRE_BRIGADE) {
			int i;
			for (i = 0; i < 5; i++) {
				sendConditionBy1();
				sendConditionBy2();
				sendConditionBy3();
				sendConditionBy4();
			}
		}
		if (agent.agentType == StandardEntityURN.AMBULANCE_TEAM) {
			int i;
			for (i = 0; i < 5; i++) {
				sendConditionBy5();
				sendConditionBy6();
				sendConditionBy7();
				sendConditionBy8();
			}
		}
		if (agent.agentType == StandardEntityURN.POLICE_FORCE) {
			int i;
			for (i = 0; i < 5; i++) {
				sendConditionBy9();
				sendConditionBy10();

			}
		}

	}

	/*private void sendConditionBy1() {
		double succRate;
		int n = agent.sayMessageTransfer.getChannelCount();

		if (n >= 2)
			if (agent.getNo() == 2) {
				succRate = calCommunicationState(1);
				int count = agent.sayMessageTransfer.calculateRepeat(succRate);
				ChannelCondition message = new ChannelCondition(1, count);
				channelConditionList[0] = count;
				agent.sendMessage(message, MessagePriority.High);
				// CannelCondition message=new CannelConditon();
				// System.out.println("channel1: " + count);
			}
	}

	private void sendConditionBy2() {
		double succRate;
		int n = agent.sayMessageTransfer.getChannelCount();

		if (agent.sayMessageTransfer.getChannelCount() >= 3)
			if (agent.getNo() == 4) {
				succRate = calCommunicationState(2);
				int count = agent.sayMessageTransfer.calculateRepeat(succRate);
				ChannelCondition message = new ChannelCondition(2, count);
				channelConditionList[1] = count;
				agent.sendMessage(message, MessagePriority.High);
				// System.out.println("channel2: " + count);
			}
	}

	private void sendConditionBy3() {
		double succRate;
		int n = agent.sayMessageTransfer.getChannelCount();

		if (agent.sayMessageTransfer.getChannelCount() >= 4)
			if (agent.getNo() == 6) {
				succRate = calCommunicationState(3);
				int count = agent.sayMessageTransfer.calculateRepeat(succRate);
				ChannelCondition message = new ChannelCondition(3, count);
				channelConditionList[2] = count;
				agent.sendMessage(message, MessagePriority.High);
				// System.out.println("channel3: " + count);

			}
	}

	private void sendConditionBy4() {
		double succRate;
		int n = agent.sayMessageTransfer.getChannelCount();

		if (agent.sayMessageTransfer.getChannelCount() >= 5)
			if (agent.getNo() == 8) {
				succRate = calCommunicationState(4);
				int count = agent.sayMessageTransfer.calculateRepeat(succRate);
				ChannelCondition message = new ChannelCondition(4, count);
				channelConditionList[3] = count;
				agent.sendMessage(message, MessagePriority.High);
				// System.out.println("channel4: "+count);

			}
	}

	private void sendConditionBy5() {
		double succRate;
		int n = agent.sayMessageTransfer.getChannelCount();

		if (agent.sayMessageTransfer.getChannelCount() >= 6)
			if (agent.getNo() == 2) {
				succRate = calCommunicationState(5);
				int count = agent.sayMessageTransfer.calculateRepeat(succRate);
				ChannelCondition message = new ChannelCondition(5, count);
				channelConditionList[4] = count;
				agent.sendMessage(message, MessagePriority.High);
				// System.out.println("channel5: "+count);

			}
	}

	private void sendConditionBy6() {
		double succRate;
		int n = agent.sayMessageTransfer.getChannelCount();

		if (agent.sayMessageTransfer.getChannelCount() >= 7)
			if (agent.getNo() == 4) {
				succRate = calCommunicationState(6);
				int count = agent.sayMessageTransfer.calculateRepeat(succRate);
				ChannelCondition message = new ChannelCondition(6, count);
				channelConditionList[5] = count;
				agent.sendMessage(message, MessagePriority.High);
				// System.out.println("channel6: "+count);

			}
	}

	private void sendConditionBy7() {
		double succRate;
		int n = agent.sayMessageTransfer.getChannelCount();

		if (agent.sayMessageTransfer.getChannelCount() >= 8)
			if (agent.getNo() == 6) {
				succRate = calCommunicationState(7);
				int count = agent.sayMessageTransfer.calculateRepeat(succRate);
				ChannelCondition message = new ChannelCondition(7, count);
				channelConditionList[6] = count;
				agent.sendMessage(message, MessagePriority.High);
				// System.out.println("channel7: "+count);

			}
	}

	private void sendConditionBy8() {
		double succRate;
		int n = agent.sayMessageTransfer.getChannelCount();

		if (agent.sayMessageTransfer.getChannelCount() >= 9)
			if (agent.getNo() == 8) {
				succRate = calCommunicationState(8);
				int count = agent.sayMessageTransfer.calculateRepeat(succRate);
				ChannelCondition message = new ChannelCondition(8, count);
				channelConditionList[7] = count;
				agent.sendMessage(message, MessagePriority.High);
				// System.out.println("channel8: "+count);

			}
	}

	private void sendConditionBy9() {
		double succRate;
		int n = agent.sayMessageTransfer.getChannelCount();

		if (agent.sayMessageTransfer.getChannelCount() >= 10)
			if (agent.getNo() == 2) {
				succRate = calCommunicationState(9);
				int count = agent.sayMessageTransfer.calculateRepeat(succRate);
				ChannelCondition message = new ChannelCondition(9, count);
				channelConditionList[8] = count;
				agent.sendMessage(message, MessagePriority.High);
				// System.out.println("channel9: "+count);

			}
	}

	private void sendConditionBy10() {
		double succRate;
		int n = agent.sayMessageTransfer.getChannelCount();

		if (agent.sayMessageTransfer.getChannelCount() >= 11)
			if (agent.getNo() == 4) {
				succRate = calCommunicationState(10);
				int count = agent.sayMessageTransfer.calculateRepeat(succRate);
				ChannelCondition message = new ChannelCondition(10, count);
				channelConditionList[9] = count;
				agent.sendMessage(message, MessagePriority.High);
				// System.out.println("channel10: "+count);

			}
	}*/
	private void sendConditionBy1() {
		double succRate;
		int n = agent.sayMessageTransfer.getChannelCount();

		if (n >= 2)
			if (agent.getNo() == 2) {
				succRate = calCommunicationState(1);
				channelRealConditionList[0]=(int) succRate;
				int count =  agent.sayMessageTransfer.calculateRepeat(succRate);
				ChannelCondition message = new ChannelCondition(1, (int) succRate);
				if(count<1) count=1;
				channelConditionList[0] = count;
				
				agent.sendMessage(message, MessagePriority.High);
				// CannelCondition message=new CannelConditon();
				// System.out.println("channel1: " + count);
			}
	}

	private void sendConditionBy2() {
		double succRate;
		int n = agent.sayMessageTransfer.getChannelCount();

		if (agent.sayMessageTransfer.getChannelCount() >= 3)
			if (agent.getNo() == 4) {
				succRate = calCommunicationState(2);
				channelRealConditionList[1]=(int) succRate;
				int count =  agent.sayMessageTransfer.calculateRepeat(succRate);
				ChannelCondition message = new ChannelCondition(2, (int) succRate);
				if(count<1) count=1;
				channelConditionList[1] = count;
				agent.sendMessage(message, MessagePriority.High);
				// System.out.println("channel2: " + count);
			}
	}

	private void sendConditionBy3() {
		double succRate;
		int n = agent.sayMessageTransfer.getChannelCount();

		if (agent.sayMessageTransfer.getChannelCount() >= 4)
			if (agent.getNo() == 6) {
				succRate = calCommunicationState(3);
				channelRealConditionList[2]=(int) succRate;
				int count = agent.sayMessageTransfer.calculateRepeat(succRate);
				ChannelCondition message = new ChannelCondition(3, (int) succRate);
				if(count<1) count=1;
				channelConditionList[2] = count;
				agent.sendMessage(message, MessagePriority.High);
				// System.out.println("channel3: " + count);

			}
	}

	private void sendConditionBy4() {
		double succRate;
		int n = agent.sayMessageTransfer.getChannelCount();

		if (agent.sayMessageTransfer.getChannelCount() >= 5)
			if (agent.getNo() == 8) {
				succRate = calCommunicationState(4);
				channelRealConditionList[3]=(int) succRate;
				int count = agent.sayMessageTransfer.calculateRepeat(succRate);
				ChannelCondition message = new ChannelCondition(4, (int) succRate);
				if(count<1) count=1;
				channelConditionList[3] = count;
				agent.sendMessage(message, MessagePriority.High);
				// System.out.println("channel4: "+count);

			}
	}

	private void sendConditionBy5() {
		double succRate;
		int n = agent.sayMessageTransfer.getChannelCount();

		if (agent.sayMessageTransfer.getChannelCount() >= 6)
			if (agent.getNo() == 2) {
				succRate = calCommunicationState(5);
				channelRealConditionList[4]=(int) succRate;
				int count = agent.sayMessageTransfer.calculateRepeat(succRate);
				ChannelCondition message = new ChannelCondition(5, (int) succRate);
				if(count<1) count=1;
				channelConditionList[4] = count;
				agent.sendMessage(message, MessagePriority.High);
				// System.out.println("channel5: "+count);

			}
	}

	private void sendConditionBy6() {
		double succRate;
		int n = agent.sayMessageTransfer.getChannelCount();

		if (agent.sayMessageTransfer.getChannelCount() >= 7)
			if (agent.getNo() == 4) {
				succRate = calCommunicationState(6);
				channelRealConditionList[5]=(int) succRate;
				int count =agent.sayMessageTransfer.calculateRepeat(succRate);
				ChannelCondition message = new ChannelCondition(6, (int) succRate);
				if(count<1) count=1;
				channelConditionList[5] = count;
				agent.sendMessage(message, MessagePriority.High);
				// System.out.println("channel6: "+count);

			}
	}

	private void sendConditionBy7() {
		double succRate;
		int n = agent.sayMessageTransfer.getChannelCount();

		if (agent.sayMessageTransfer.getChannelCount() >= 8)
			if (agent.getNo() == 6) {
				succRate = calCommunicationState(7);
				channelRealConditionList[6]=(int) succRate;
				int count = agent.sayMessageTransfer.calculateRepeat(succRate);
				ChannelCondition message = new ChannelCondition(7, (int) succRate);
				if(count<1) count=1;
				channelConditionList[6] = count;
				agent.sendMessage(message, MessagePriority.High);
				// System.out.println("channel7: "+count);

			}
	}

	private void sendConditionBy8() {
		double succRate;
		int n = agent.sayMessageTransfer.getChannelCount();

		if (agent.sayMessageTransfer.getChannelCount() >= 9)
			if (agent.getNo() == 8) {
				succRate = calCommunicationState(8);
				channelRealConditionList[7]=(int) succRate;
				int count =agent.sayMessageTransfer.calculateRepeat(succRate);
				ChannelCondition message = new ChannelCondition(8, (int) succRate);
				if(count<1) count=1;
				channelConditionList[7] = count;
				agent.sendMessage(message, MessagePriority.High);
				// System.out.println("channel8: "+count);

			}
	}

	private void sendConditionBy9() {
		double succRate;
		int n = agent.sayMessageTransfer.getChannelCount();

		if (agent.sayMessageTransfer.getChannelCount() >= 10)
			if (agent.getNo() == 2) {
				succRate = calCommunicationState(9);
				channelRealConditionList[8]=(int) succRate;
				int count = agent.sayMessageTransfer.calculateRepeat(succRate);
				ChannelCondition message = new ChannelCondition(9, (int) succRate);
				if(count<1) count=1;
				channelConditionList[8] = count;
				agent.sendMessage(message, MessagePriority.High);
				// System.out.println("channel9: "+count);

			}
	}

	private void sendConditionBy10() {
		double succRate;
		int n = agent.sayMessageTransfer.getChannelCount();

		if (agent.sayMessageTransfer.getChannelCount() >= 11)
			if (agent.getNo() == 4) {
				succRate = calCommunicationState(10);
				channelRealConditionList[9]=(int) succRate;
				int count = agent.sayMessageTransfer.calculateRepeat(succRate);
				ChannelCondition message = new ChannelCondition(10, count);
				if(count<1) count=1;
				channelConditionList[9] = count;
				agent.sendMessage(message, MessagePriority.High);
				// System.out.println("channel10: "+count);

			}
	}


	private double calCommunicationState(int n) {

		double succRate = 0;
		// int
		// totalNumOfMessage=(int)(agent.sayMessageTransfer.getBandWith(n)/2);
		int totalNumOfMessage = 100;
		agent.agentType = agent.me().getStandardURN();
		if (agent.sayMessageTransfer.getChannelCount() >= n + 1) {
			if (agent.agentType == StandardEntityURN.FIRE_BRIGADE
					&& agent.getNo() == 2 * n && agent.getNo() <= 8) {

				if (n == 1) {
					succRate = (totalNumOfReceivedMessage1 - 0.001)
							/ totalNumOfMessage * 100;
					System.err.println("Channel" + n + " Received"
							+ totalNumOfReceivedMessage1 + "   " + succRate
							+ "%");
				} else if (n == 2) {

					succRate = (totalNumOfReceivedMessage2 - 0.001)
							/ totalNumOfMessage * 100;
					System.err.println("Channel" + n + " Received"
							+ totalNumOfReceivedMessage2 + "   " + succRate
							+ "%");
				} else if (n == 3) {

					succRate = (totalNumOfReceivedMessage3 - 0.001)
							/ totalNumOfMessage * 100;
					System.err.println("Channel" + n + " Received"
							+ totalNumOfReceivedMessage3 + "   " + succRate
							+ "%");
				} else if (n == 4) {

					succRate = (totalNumOfReceivedMessage4 - 0.001)
							/ totalNumOfMessage * 100;
					System.err.println("Channel" + n + " Received"
							+ totalNumOfReceivedMessage4 + "   " + succRate
							+ "%");
				}
			}

			if (agent.agentType == StandardEntityURN.AMBULANCE_TEAM
					&& agent.getNo() == 2 * (n - 4) && agent.getNo() <= 8) {
				if (n == 5) {

					succRate = (totalNumOfReceivedMessage5 - 0.001)
							/ totalNumOfMessage * 100;
					System.err.println("Channel" + n + " Received"
							+ totalNumOfReceivedMessage5 + "   " + succRate
							+ "%");
				} else if (n == 6) {

					succRate = (totalNumOfReceivedMessage6 - 0.001)
							/ totalNumOfMessage * 100;
					System.err.println("Channel" + n + " Received"
							+ totalNumOfReceivedMessage6 + "   " + succRate
							+ "%");
				} else if (n == 7) {

					succRate = (totalNumOfReceivedMessage7 - 0.001)
							/ totalNumOfMessage * 100;
					System.err.println("Channel" + n + " Received"
							+ totalNumOfReceivedMessage7 + "   " + succRate
							+ "%");
				} else if (n == 8) {

					succRate = (totalNumOfReceivedMessage8 - 0.001)
							/ totalNumOfMessage * 100;
					System.err.println("Channel" + n + " Received"
							+ totalNumOfReceivedMessage8 + "   " + succRate
							+ "%");
				}
			}

			if (agent.agentType == StandardEntityURN.POLICE_FORCE
					&& agent.getNo() == 2 * (n - 8) && agent.getNo() <= 4) {
				if (n == 9) {

					succRate = (totalNumOfReceivedMessage9 - 0.001)
							/ totalNumOfMessage * 100;
					System.err.println("Channel" + n + " Received"
							+ totalNumOfReceivedMessage9 + "   " + succRate
							+ "%");
				} else if (n == 10) {

					succRate = (totalNumOfReceivedMessage10 - 0.001)
							/ totalNumOfMessage * 100;
					System.err.println("Channel" + n + " Received"
							+ totalNumOfReceivedMessage10 + "   " + succRate
							+ "%");
				}
			}

			if (succRate > 100)
				succRate = 100;
			else if (succRate < 0)
				succRate = 0;

			// System.err.println("#########################"+succRate+"%");
		}
		return succRate;
	}

	private void testChannel1() {
		agent.agentType = agent.me().getStandardURN();
		if (agent.sayMessageTransfer.getChannelCount() >= 2)
			if (agent.agentType == StandardEntityURN.FIRE_BRIGADE
					&& agent.getNo() == 1) {

				{
					int i = 0;
					int sum = 0;

					double bandWith = 200;

					while (sum < bandWith) {
						MessageCount1 message = new MessageCount1();

						agent.sendMessage(message, MessagePriority.High);
						i++;
						sum += 2;
						// System.err.println(message.getbyte()+"*********************!!!!!");
					}
					// System.err.println(i+"------------------------------------------");
					// System.err.println(message.getType().toString()+"*********************");
				}

			}
	}

	private void testChannel2() {
		agent.agentType = agent.me().getStandardURN();
		if (agent.sayMessageTransfer.getChannelCount() >= 3)
			if (agent.agentType == StandardEntityURN.FIRE_BRIGADE
					&& agent.getNo() == 3) {

				{
					int i = 0;
					int sum = 0;

					double bandWith = 200;

					while (sum < bandWith) {
						MessageCount2 message = new MessageCount2();

						agent.sendMessage(message, MessagePriority.High);
						i++;
						sum += 2;
						/*
						 * System.err.println(message.getbyte() +
						 * "*********************!!!!!");
						 */
					}
					// System.err.println(i+"------------------------------------------");
					// System.err.println(message.getType().toString()+"*********************");
				}

			}
	}

	private void testChannel3() {
		agent.agentType = agent.me().getStandardURN();
		if (agent.sayMessageTransfer.getChannelCount() >= 4)
			if (agent.agentType == StandardEntityURN.FIRE_BRIGADE
					&& agent.getNo() == 5) {

				{
					int i = 0;
					int sum = 0;

					double bandWith = 200;

					while (sum < bandWith) {
						MessageCount3 message = new MessageCount3();

						agent.sendMessage(message, MessagePriority.High);
						i++;
						sum += 2;
						// System.err.println(message.getbyte()+"*********************!!!!!");
					}
					// System.err.println(i+"------------------------------------------");
					// System.err.println(message.getType().toString()+"*********************");
				}

			}
	}

	private void testChannel4() {
		agent.agentType = agent.me().getStandardURN();
		if (agent.sayMessageTransfer.getChannelCount() >= 5)
			if (agent.agentType == StandardEntityURN.FIRE_BRIGADE
					&& agent.getNo() == 7) {

				{
					int i = 0;
					int sum = 0;

					double bandWith = 200;

					while (sum < bandWith) {
						MessageCount4 message = new MessageCount4();

						agent.sendMessage(message, MessagePriority.High);
						i++;
						sum += 2;
						// System.err.println(message.getbyte()+"*********************!!!!!");
					}
					// System.err.println(i
					// + "------------------------------------------");
					// System.err.println(message.getType().toString()+"*********************");
				}

			}

	}

	private void testChannel5() {
		agent.agentType = agent.me().getStandardURN();
		if (agent.sayMessageTransfer.getChannelCount() >= 6)
			if (agent.agentType == StandardEntityURN.AMBULANCE_TEAM
					&& agent.getNo() == 1) {

				{
					int i = 0;
					int sum = 0;

					double bandWith = 200;

					while (sum < bandWith) {
						MessageCount5 message = new MessageCount5();

						agent.sendMessage(message, MessagePriority.High);
						i++;
						sum += 2;
						// System.err.println(message.getbyte()+"*********************!!!!!");
					}
					// System.err.println(i+"------------------------------------------");
					// System.err.println(message.getType().toString()+"*********************");
				}

			}

	}

	private void testChannel6() {
		agent.agentType = agent.me().getStandardURN();
		if (agent.sayMessageTransfer.getChannelCount() >= 7)
			if (agent.agentType == StandardEntityURN.AMBULANCE_TEAM
					&& agent.getNo() == 3) {

				{
					int i = 0;
					int sum = 0;

					double bandWith = 200;

					while (sum < bandWith) {
						MessageCount6 message = new MessageCount6();

						agent.sendMessage(message, MessagePriority.High);
						i++;
						sum += 2;
						// System.err.println(message.getbyte()+"*********************!!!!!");
					}
					// System.err.println(i+"------------------------------------------");
					// System.err.println(message.getType().toString()+"*********************");
				}

			}

	}

	private void testChannel7() {
		agent.agentType = agent.me().getStandardURN();
		if (agent.sayMessageTransfer.getChannelCount() >= 8)
			if (agent.agentType == StandardEntityURN.FIRE_BRIGADE
					&& agent.getNo() == 5) {

				{
					int i = 0;
					int sum = 0;

					double bandWith = 200;

					while (sum < bandWith) {
						MessageCount7 message = new MessageCount7();

						agent.sendMessage(message, MessagePriority.High);
						i++;
						sum += 2;
						// System.err.println(message.getbyte()+"*********************!!!!!");
					}
					// System.err.println(i+"------------------------------------------");
					// System.err.println(message.getType().toString()+"*********************");
				}

			}

	}

	private void testChannel8() {
		agent.agentType = agent.me().getStandardURN();
		if (agent.sayMessageTransfer.getChannelCount() >= 9)
			if (agent.agentType == StandardEntityURN.FIRE_BRIGADE
					&& agent.getNo() == 7) {

				{
					int i = 0;
					int sum = 0;

					double bandWith = 200;

					while (sum < bandWith) {
						MessageCount8 message = new MessageCount8();

						agent.sendMessage(message, MessagePriority.High);
						i++;
						sum += 2;
						// System.err.println(message.getbyte()+"*********************!!!!!");
					}
					// System.err.println(i+"------------------------------------------");
					// System.err.println(message.getType().toString()+"*********************");
				}

			}

	}

	private void testChannel9() {
		agent.agentType = agent.me().getStandardURN();
		if (agent.sayMessageTransfer.getChannelCount() >= 10)
			if (agent.agentType == StandardEntityURN.POLICE_FORCE
					&& agent.getNo() == 1) {

				{
					int i = 0;
					int sum = 0;

					double bandWith = 200;

					while (sum < bandWith) {
						MessageCount9 message = new MessageCount9();

						agent.sendMessage(message, MessagePriority.High);
						i++;
						sum += 2;
						// System.err.println(message.getbyte()+"*********************!!!!!");
					}
					// System.err.println(i+"------------------------------------------");
					// System.err.println(message.getType().toString()+"*********************");
				}

			}

	}

	private void testChannel10() {
		agent.agentType = agent.me().getStandardURN();
		if (agent.sayMessageTransfer.getChannelCount() >= 11)
			if (agent.agentType == StandardEntityURN.POLICE_FORCE
					&& agent.getNo() == 3) {

				{
					int i = 0;
					int sum = 0;

					double bandWith = 200;

					while (sum < bandWith) {
						MessageCount10 message = new MessageCount10();

						agent.sendMessage(message, MessagePriority.High);
						i++;
						sum += 2;
						// System.err.println(message.getbyte()+"*********************!!!!!");
					}
					// System.err.println(i+"------------------------------------------");
					// System.err.println(message.getType().toString()+"*********************");
				}

			}

	}

	private void testChannel() {
		int[] channels;

		channels = getTestChannelsToSusbscribe();// distribute test channels
		agent.sendSubscribe(agent.timeStep, channels);

		testChannel1();
		testChannel2();
		testChannel3();
		testChannel4();

		testChannel5();
		testChannel6();
		testChannel7();
		testChannel8();

		testChannel9();
		testChannel10();

	}

	private void processTestChannel1(Message message) {
		if (agent.sayMessageTransfer.getChannelCount() >= 2
				&& agent.getNo() == 2) {

			if (message instanceof MessageCount1) {

				MessageCount1 m = (MessageCount1) message;

				totalNumOfReceivedMessage1++;
				// System.out.println("yyy1  " + totalNumOfReceivedMessage1);
			}

		}
	}

	private void processTestChannel2(Message message) {
		if (agent.sayMessageTransfer.getChannelCount() >= 3
				&& agent.getNo() == 4) {

			if (message instanceof MessageCount2) {

				MessageCount2 m = (MessageCount2) message;

				totalNumOfReceivedMessage2++;
				// System.out.println("yyy2  " + totalNumOfReceivedMessage2);

			}

		}
	}

	private void processTestChannel3(Message message) {
		if (agent.sayMessageTransfer.getChannelCount() >= 4
				&& agent.getNo() == 6) {

			if (message instanceof MessageCount3) {

				MessageCount3 m = (MessageCount3) message;

				totalNumOfReceivedMessage3++;
				// System.out.println("yyy3  " + totalNumOfReceivedMessage3);

			}

		}
	}

	private void processTestChannel4(Message message) {
		if (agent.sayMessageTransfer.getChannelCount() >= 5
				&& agent.getNo() == 8) {

			if (message instanceof MessageCount4) {

				MessageCount4 m = (MessageCount4) message;

				totalNumOfReceivedMessage4++;

			}

		}
	}

	private void processTestChannel5(Message message) {
		if (agent.sayMessageTransfer.getChannelCount() >= 6
				&& agent.getNo() == 2) {

			if (message instanceof MessageCount5) {

				MessageCount5 m = (MessageCount5) message;

				totalNumOfReceivedMessage5++;

			}

		}
	}

	private void processTestChannel6(Message message) {
		if (agent.sayMessageTransfer.getChannelCount() >= 7
				&& agent.getNo() == 4) {

			if (message instanceof MessageCount6) {

				MessageCount6 m = (MessageCount6) message;

				totalNumOfReceivedMessage6++;

			}

		}
	}

	private void processTestChannel7(Message message) {
		if (agent.sayMessageTransfer.getChannelCount() >= 8
				&& agent.getNo() == 6) {

			if (message instanceof MessageCount7) {

				MessageCount7 m = (MessageCount7) message;

				totalNumOfReceivedMessage7++;

			}

		}
	}

	private void processTestChannel8(Message message) {
		if (agent.sayMessageTransfer.getChannelCount() >= 9
				&& agent.getNo() == 8) {

			if (message instanceof MessageCount8) {

				MessageCount8 m = (MessageCount8) message;

				totalNumOfReceivedMessage8++;

			}

		}
	}

	private void processTestChannel9(Message message) {
		if (agent.sayMessageTransfer.getChannelCount() >= 10
				&& agent.getNo() == 2) {

			if (message instanceof MessageCount9) {

				MessageCount9 m = (MessageCount9) message;

				totalNumOfReceivedMessage9++;

			}

		}
	}

	private void processTestChannel10(Message message) {
		if (agent.sayMessageTransfer.getChannelCount() >= 11
				&& agent.getNo() == 4) {

			if (message instanceof MessageCount10) {

				MessageCount10 m = (MessageCount10) message;

				totalNumOfReceivedMessage10++;

			}

		}
	}

	private void processChannelCondition(ChannelCondition m) {

		int channel = m.getInteger(PropertyName.Channel);
		int channelCounter = m.getInteger(PropertyName.ChannelCounter);
		if (channelCounter > 0)
		{
			int count = agent.sayMessageTransfer.calculateRepeat(channelCounter);
			if(count<1) count=1;
			channelConditionList[channel - 1] = count ;
			channelRealConditionList[channel - 1] = channelCounter;  //wan
		}
		// channelRealConditionList[channel-1]=agent.sayMessageTransfer.g
		// for(int
		// i=0;i<channel;i++)System.out.print(channelConditionList[i]+" ");
		// System.out.println();

	}

	/*
	 * It is used for channel distribution when test channel First,get the
	 * number of channels.Second,check if oneself should get a specific channel
	 * to do the test job.if not,get the channel 1 and wait
	 * 
	 * There exits a danger:The number of FB is too small
	 */
	public int[] getTestChannelsToSusbscribe() {
		int[] channels;

		channels = new int[1];
		boolean flag = false;
		int n = agent.sayMessageTransfer.getChannelCount();
		agent.agentType = agent.me().getStandardURN();
		if (agent.agentType == StandardEntityURN.FIRE_BRIGADE) {
			if (n >= 2) {
				if (agent.getNo() == 1 || agent.getNo() == 2) {
					channels[0] = 1;
					flag = true;
				}

			}
			if (n >= 3) {
				if (agent.getNo() == 3 || agent.getNo() == 4) {
					channels[0] = 2;
					flag = true;
				}
			}
			if (n >= 4) {
				if (agent.getNo() == 5 || agent.getNo() == 6) {
					channels[0] = 3;
					flag = true;
				}
			}
			if (n >= 5) {
				if (agent.getNo() == 7 || agent.getNo() == 8) {
					channels[0] = 4;
					flag = true;
				}
			}
		}

		if (agent.agentType == StandardEntityURN.AMBULANCE_TEAM) {
			if (n >= 6) {
				if (agent.getNo() == 1 || agent.getNo() == 2) {
					channels[0] = 5;
					flag = true;
				}

			}
			if (n >= 7) {
				if (agent.getNo() == 3 || agent.getNo() == 4) {
					channels[0] = 6;
					flag = true;
				}
			}
			if (n >= 8) {
				if (agent.getNo() == 5 || agent.getNo() == 6) {
					channels[0] = 7;
					flag = true;
				}
			}
			if (n >= 9) {
				if (agent.getNo() == 7 || agent.getNo() == 8) {
					channels[0] = 8;
					flag = true;
				}
			}
		}

		if (agent.agentType == StandardEntityURN.POLICE_FORCE) {
			if (n >= 10) {
				if (agent.getNo() == 1 || agent.getNo() == 2) {
					channels[0] = 9;
					flag = true;
				}

			}
			if (n >= 11) {
				if (agent.getNo() == 3 || agent.getNo() == 4) {
					channels[0] = 10;
					flag = true;
				}
			}

		}

		if (flag == false)
			channels[0] = 1;
		return channels;

	}

	/**
	 * ALL THE AGENT GET THE CHANNEL ONE
	 * 
	 * @return
	 */
	public int[] getFirstChannelToSusbscribe() {
		int[] channels;
		channels = new int[1];
		channels[0] = 1;
		return channels;

	}

	public void setNoComm() {
		// int[] channels = { 0 };
		// channels[0] = 0;
		// agent.sendSubscribe(agent.timeStep, channels);
		// int m = this.agent.sayMessageTransfer.getNumofPlatoon();

		// agent.sayMessageTransfer.setChannelMapWhenNoComm();
	}
	public int[] getchannelRealConditionList(){       ////////////////////////////////wan
		return channelRealConditionList;	
			
		}

}
