package seu.message.Type;

import java.util.ArrayList;
import java.util.List;

import rescuecore2.worldmodel.EntityID;
import seu.message.Property.IntegerProperty;
import seu.message.Property.MessageProperty;
import seu.message.Property.PropertyName;

public class BuildingIsBurnedOutMessage extends Message {
 
    
    public BuildingIsBurnedOutMessage() {
		super();
	}    
	public BuildingIsBurnedOutMessage(int BuildingNumber) {
		this();
	 
		setInteger(PropertyName.BuildingNumber, BuildingNumber);
		//setInteger(PropertyName.Fieryness, fieryness);
	}

	@Override
	protected List<MessageProperty<?>> createProperties() {
		List<MessageProperty<?>> properties = new ArrayList<MessageProperty<?>>();
		properties.add(new IntegerProperty(PropertyName.BuildingNumber, 2));
		//properties.add(new IntegerProperty(PropertyName.Fieryness, 1));
	 
		return properties;
	}
 
	public int getbyte() {
		return 2;
	}

	@Override
	public MessageType getType() {
		return MessageType.BuildingIsBurnedOutMessage;
	}

	public int getBuildingNumber() {
		return getInteger(PropertyName.BuildingNumber);
	}

//	public int getFieryness() {
//		return getInteger(PropertyName.Fieryness);
//	}
 
}
