package seu.message.Type;

import java.util.ArrayList;
import java.util.List;

import rescuecore2.worldmodel.EntityID;
import seu.message.Property.IntegerProperty;
import seu.message.Property.MessageProperty;
import seu.message.Property.PropertyName;

public class BuildingIsBurningMessage extends Message {
	
	  
      public BuildingIsBurningMessage() {
  		super();
  	}
 
	public BuildingIsBurningMessage(int BuildingNumber,int FandT
			 ) {
		this();
		 
		setInteger(PropertyName.BuildingNumber, BuildingNumber);
		setInteger(PropertyName.FandT, FandT);
		//setInteger(PropertyName.Temperature, temperature / 5 + 1);
		
	}

	@Override
	protected List<MessageProperty<?>> createProperties() {
		List<MessageProperty<?>> properties = new ArrayList<MessageProperty<?>>();
		properties.add(new IntegerProperty(PropertyName.BuildingNumber, 2));
		properties.add(new IntegerProperty(PropertyName.FandT, 1));
	   // System.out.println("BuildingIsBurningMessage    "+util.BUILDING_UNIFORM_BIT_SIZE);
		return properties;
	}
	
 
	public int getbyte() {
		return 3;
	}

	@Override
	public MessageType getType() {
		return MessageType.BuildingIsBurningMessage;
	}

	public int getBuildingNumber() {
		return getInteger(PropertyName.BuildingNumber);
	}

	public int getFandT() {
		return getInteger(PropertyName.FandT);
	}
//	public int getByte(int n){
//		if(n%8==0)return n/8;
//		else return n/8+1;
//		
//	}

}
