package seu.message.Type;
 


import java.util.ArrayList;
import java.util.List;

import rescuecore2.worldmodel.EntityID;
import seu.message.Property.IntegerProperty;
import seu.message.Property.MessageProperty;
import seu.message.Property.PropertyName;

public class HumanisBuriedfromChangesetorVoiceMessage extends Message {
	   
	    public HumanisBuriedfromChangesetorVoiceMessage() {
			super();
		}    
	public HumanisBuriedfromChangesetorVoiceMessage( int LocationNumber,EntityID HumanID,int HPBDD) {
		this();
		 
		 
		
		setInteger(PropertyName.LocationNumber, LocationNumber);
		setEntityId(PropertyName.HumanID, HumanID);
		setInteger(PropertyName.HPBDD, HPBDD);
		
	}

	@Override
	protected List<MessageProperty<?>> createProperties() {
		List<MessageProperty<?>> properties = new ArrayList<MessageProperty<?>>();
		properties.add(new IntegerProperty(PropertyName.LocationNumber, 2));////15 bit number  1bit Building or Road
		properties.add(new IntegerProperty(PropertyName.HumanID, 4)); //// 36bit humanID  4 bit HealthPoint
		properties.add(new IntegerProperty(PropertyName.HPBDD, 2));//// 4 bit Buriedness  4bit Damage
		//properties.add(new IntegerProperty(PropertyName.Buriedness, 1));
		//properties.add(new IntegerProperty(PropertyName.Damage, 1));
		return properties;
	}
	 
	public int getbyte() {
		return 8;
	}

	@Override
	public MessageType getType() {
		return MessageType.HumanisBuriedfromChangesetorVoiceMessage;
	}

	public EntityID getHumanID() {
		return getEntityId(PropertyName.HumanID);
	}
	public int getHPBDD() {
		return getInteger(PropertyName.HPBDD);
	}

	public int getLocationNumber() {
		return getInteger(PropertyName.LocationNumber);
	}

//	public int getDamage() {
//		return getInteger(PropertyName.Damage);
//	}
//
//	public int getBuriedness() {
//		return getInteger(PropertyName.Buriedness);
//	}
//
//	public int getHp() {
//		return getInteger(PropertyName.HealthPoint) * 5;
//	}


}
