package seu.message.Type;

import java.util.ArrayList;
import java.util.List;

import rescuecore2.worldmodel.EntityID;
import seu.message.Property.IntegerProperty;
import seu.message.Property.MessageProperty;
import seu.message.Property.PropertyName;

public class RescuingMessage extends Message {
  
	    public RescuingMessage() {
			super();
		}    

	public RescuingMessage(EntityID  newRescuingHumanFromMe) {
		this();
	 
		setEntityId(PropertyName.HumanID, newRescuingHumanFromMe);
		 
	}
	@Override
	protected List<MessageProperty<?>> createProperties() {
		List<MessageProperty<?>> properties = new ArrayList<MessageProperty<?>>();
		properties.add(new IntegerProperty(PropertyName.HumanID, 4));
		return properties;
	}
	
 
	public int getbyte() {
		return 4;
	}

	@Override
	public MessageType getType() {
		return MessageType.RescuingMessage;
	}

	public EntityID getHumanID() {
		return getEntityId(PropertyName.HumanID);
	}
}
