package seu.message;
import seu.agent.SEUAgent;
import seu.message.Type.AgentPositionMessage;
import seu.message.Type.BuildingIsBurnedOutMessage;
import seu.message.Type.BuildingIsExtinguishedMessage;
import seu.message.Type.CriticalAreaisClearedMessage;
import seu.message.Type.HumanIsSavedOrDeadMessage;
import seu.message.Type.HumanisBuriedfromChangesetorVoiceMessage;
import seu.message.Type.RemovedClusterMessage;
import seu.message.Type.RescuingMessage;
import seu.message.Type.WaterMessage;

import seu.message.Type.BuildingIsBurningMessage;

import seu.message.Type.Message;

public class messageKeeper {     
      
	public SEUAgent agent;
	private  RescuingMessage rescuing=null ;
	private AgentPositionMessage agentPosition=null;
	private BuildingIsBurnedOutMessage buildingBurnedOut=null;
	private BuildingIsBurningMessage buildingBurning=null ;
	private HumanIsSavedOrDeadMessage  humanSavedOrDead=null ;
	private BuildingIsExtinguishedMessage  buildingExtinguished=null ;
	private CriticalAreaisClearedMessage criticalCleared =null;
	private WaterMessage  water=null;
	private RemovedClusterMessage  removedCluster=null;
	private HumanisBuriedfromChangesetorVoiceMessage  humanisBuried=null;

	
	public messageKeeper(SEUAgent agent1) {
		agent = agent1;
	}

	public void addMessage(Message message) {

		if (message instanceof BuildingIsBurningMessage)
		{  
		
			message.setTTL(10);
			buildingBurning=((BuildingIsBurningMessage) message);
		 }

		if (message instanceof AgentPositionMessage)
		{  
			message.setTTL(3);
			agentPosition=((AgentPositionMessage) message);
		 }
		if (message instanceof BuildingIsBurnedOutMessage)
		{  
			message.setTTL(10);
			buildingBurnedOut=((BuildingIsBurnedOutMessage) message);
		 }
		if (message instanceof HumanIsSavedOrDeadMessage)
			{
			message.setTTL(10);
			humanSavedOrDead=((HumanIsSavedOrDeadMessage) message);
		 }
		if (message instanceof BuildingIsExtinguishedMessage)
		{  
	
			message.setTTL(10);
			buildingExtinguished=((BuildingIsExtinguishedMessage) message);
		 }
		if (message instanceof CriticalAreaisClearedMessage)
		{  
			message.setTTL(10);
			criticalCleared=((CriticalAreaisClearedMessage) message);
		 }
		if (message instanceof WaterMessage)
		{  
			message.setTTL(3);
			water=((WaterMessage) message);
		 }
		if (message instanceof RemovedClusterMessage)
		{  
			message.setTTL(15);
			removedCluster=((RemovedClusterMessage) message);
		 }

		if (message instanceof HumanisBuriedfromChangesetorVoiceMessage)
		{  
			message.setTTL(10);
			humanisBuried=((HumanisBuriedfromChangesetorVoiceMessage) message);
		 }
	}
	
	public void addHeardMessage(Message message) {

		if (message instanceof BuildingIsBurningMessage)
		{  
		
			message.setTTL(1);
			buildingBurning=((BuildingIsBurningMessage) message);
		 }
		if (message instanceof AgentPositionMessage)
		{  
			message.setTTL(1);
			agentPosition=((AgentPositionMessage) message);
		 }
		if (message instanceof BuildingIsBurnedOutMessage)
		{  
			message.setTTL(1);
			buildingBurnedOut=((BuildingIsBurnedOutMessage) message);
		 }
		if (message instanceof HumanIsSavedOrDeadMessage)
			{
			message.setTTL(1);
			humanSavedOrDead=((HumanIsSavedOrDeadMessage) message);
		 }
		if (message instanceof BuildingIsExtinguishedMessage)
		{  
		//System.out.println(agent.getID()+"     add   Message   BuildingIsExtinguishedMessage  "+agent.getTimeStep());
			message.setTTL(1);
			buildingExtinguished=((BuildingIsExtinguishedMessage) message);
		 }
		if (message instanceof CriticalAreaisClearedMessage)
		{  
			message.setTTL(1);
			criticalCleared=((CriticalAreaisClearedMessage) message);
		 }
		if (message instanceof WaterMessage)
		{  
			message.setTTL(1);
			water=((WaterMessage) message);
		 }
		if (message instanceof RemovedClusterMessage)
		{  
			message.setTTL(1);
			removedCluster=((RemovedClusterMessage) message);
		 }

		if (message instanceof HumanisBuriedfromChangesetorVoiceMessage)
		{  
			message.setTTL(1);
			humanisBuried=((HumanisBuriedfromChangesetorVoiceMessage) message);
		 }
	}

   public void updateMessage(){

	   if(humanisBuried!=null&&agent.getTimeStep()-humanisBuried.getAddTime()>humanisBuried.TTL)
		   humanisBuried=null;
	   
	   if(removedCluster!=null&&agent.getTimeStep()-removedCluster.getAddTime()>removedCluster.TTL)
		   removedCluster=null;
	   
	   if(water!=null&&agent.getTimeStep()-water.getAddTime()>water.TTL)
		   water=null;
	   
	   if(criticalCleared!=null&&agent.getTimeStep()-criticalCleared.getAddTime()>criticalCleared.TTL)
		   criticalCleared=null;
	   
	   if(buildingExtinguished!=null&&agent.getTimeStep()-buildingExtinguished.getAddTime()>buildingExtinguished.TTL)
		   buildingExtinguished=null;
	   
	   if(humanSavedOrDead!=null&&agent.getTimeStep()-humanSavedOrDead.getAddTime()>humanSavedOrDead.TTL)
		   humanSavedOrDead=null;
	   
	   if(buildingBurnedOut!=null&&agent.getTimeStep()-buildingBurnedOut.getAddTime()>buildingBurnedOut.TTL)
		   buildingBurnedOut=null;
	   
	   if(agentPosition!=null&&agent.getTimeStep()-agentPosition.getAddTime()>agentPosition.TTL)
		   agentPosition=null;
	   
	   if(rescuing!=null&&agent.getTimeStep()-rescuing.getAddTime()>rescuing.TTL)
		   rescuing=null;
	   
	   if(buildingBurning!=null&&agent.getTimeStep()-buildingBurning.getAddTime()>buildingBurning.TTL){
		   buildingBurning=null;
	   }
		   
	}

	public void sendMessageRepeatlly() {              ////wan
		

		if(buildingBurning!=null)
		{
			 
			agent.sendVoiceMessage(buildingBurning,
					MessagePriority.High);
		
		}
		if(humanisBuried!=null)
		{
			if(agent.isLimited){
				agent.sendVoiceMessage(humanisBuried,
						MessagePriority.Medium);	
			}else{
				agent.sendVoiceMessage(humanisBuried,
					MessagePriority.High);	
			}
			
			
		}
		if(water!=null)
		{
		 
			agent.sendVoiceMessage(water,
					MessagePriority.Medium);	
		
	
		}

		if(buildingBurnedOut!=null)
		{
			 
			agent.sendVoiceMessage(buildingBurnedOut,
					MessagePriority.Medium);

			
			
			 
		}
		if(agentPosition!=null)
		{
			 
			agent.sendVoiceMessage(agentPosition,
					MessagePriority.Medium);

		
			
			 
		}
	
		if(rescuing!=null)
		{
			 
			agent.sendVoiceMessage(rescuing,
					MessagePriority.Low);
			 
		}
		if(humanSavedOrDead!=null)
		{
			if(agent.isLimited){
				agent.sendVoiceMessage(humanSavedOrDead,
						MessagePriority.Medium);	
			}else{
				agent.sendVoiceMessage(humanSavedOrDead,
					MessagePriority.High);	
			} 
		
			 
		}
		if(removedCluster!=null)
		{
			 
			agent.sendVoiceMessage(removedCluster,
					MessagePriority.Low);

			 
		}
		if(buildingExtinguished!=null)
		{
			 
			agent.sendVoiceMessage(buildingExtinguished,
					MessagePriority.High);
	

		}
		
		if(criticalCleared!=null)
		{
			 
			agent.sendVoiceMessage(criticalCleared,
					MessagePriority.Medium);
		

		}
		
  }

}
