package seu.model.object;

import java.util.EnumSet;

import rescuecore2.standard.entities.StandardEntityURN;

 
public class SEUAgentConstants {

	 
	public static final EnumSet<StandardEntityURN> INDEX_CLASS = EnumSet.of(
			StandardEntityURN.AMBULANCE_TEAM,
			StandardEntityURN.FIRE_BRIGADE,
			StandardEntityURN.POLICE_FORCE,
			StandardEntityURN.BUILDING,
			StandardEntityURN.AMBULANCE_CENTRE,
			StandardEntityURN.FIRE_STATION,
			StandardEntityURN.POLICE_OFFICE,
			StandardEntityURN.ROAD,
			StandardEntityURN.REFUGE,
			StandardEntityURN.BLOCKADE,
			StandardEntityURN.CIVILIAN,
			StandardEntityURN.GAS_STATION,
			StandardEntityURN.HYDRANT);

	 
	public static final EnumSet<StandardEntityURN> UNIFORMABLE_ENTITIES = EnumSet.of(
			StandardEntityURN.AMBULANCE_TEAM,
			StandardEntityURN.FIRE_BRIGADE,
			StandardEntityURN.POLICE_FORCE,
			StandardEntityURN.BUILDING,
			StandardEntityURN.ROAD,
			StandardEntityURN.REFUGE,
			StandardEntityURN.GAS_STATION,
			StandardEntityURN.HYDRANT,
			StandardEntityURN.CIVILIAN
			);

	 
	public static final EnumSet<StandardEntityURN> AREAS = EnumSet.of(
			StandardEntityURN.ROAD,
			StandardEntityURN.BUILDING,
			StandardEntityURN.REFUGE,
			StandardEntityURN.AMBULANCE_CENTRE,
			StandardEntityURN.POLICE_OFFICE,
			StandardEntityURN.FIRE_STATION,
			StandardEntityURN.GAS_STATION,
			StandardEntityURN.HYDRANT);
	
	 
	public static final EnumSet<StandardEntityURN> BUILDINGS = EnumSet.of(
			StandardEntityURN.BUILDING,
			StandardEntityURN.REFUGE,
			StandardEntityURN.AMBULANCE_CENTRE,
			StandardEntityURN.POLICE_OFFICE,
			StandardEntityURN.FIRE_STATION,
			StandardEntityURN.GAS_STATION);
	 
	public static final EnumSet<StandardEntityURN> PLATOONS = EnumSet.of(
			StandardEntityURN.AMBULANCE_TEAM,
			StandardEntityURN.FIRE_BRIGADE,
			StandardEntityURN.POLICE_FORCE);
	
	 
	public static final EnumSet<StandardEntityURN> CENTRES = EnumSet.of(
			StandardEntityURN.AMBULANCE_CENTRE,
			StandardEntityURN.FIRE_STATION,
			StandardEntityURN.POLICE_OFFICE);
	
	 
	public static final EnumSet<StandardEntityURN> HUMANOIDS = EnumSet.of(
			StandardEntityURN.AMBULANCE_TEAM,
			StandardEntityURN.FIRE_BRIGADE,
			StandardEntityURN.POLICE_FORCE,
			StandardEntityURN.CIVILIAN);
	
	 
	public static final EnumSet<StandardEntityURN> ROADS = EnumSet.of(
			StandardEntityURN.ROAD, 
			StandardEntityURN.HYDRANT);
}
