package seu.model.object;

import java.awt.Point;
import java.util.ArrayList;
import java.util.List;

import rescuecore2.misc.geometry.Line2D;

/**
 * Date: June 12, 2014 Time: 6:29pm
 * 
 * @author appreciation-seu
 * 
 */
public class SEUEscapePoint {
	private List<SEUBlockade> realteBlockades = new ArrayList<SEUBlockade>();;
	
	private Point underlyingPoint;
	
	private Line2D line;
	
	public SEUEscapePoint(Point point, Line2D line, SEUBlockade... blockade) {
		this.setUnderlyingPoint(point);
		this.setLine(line);
		
		for (SEUBlockade next : blockade) {
			this.realteBlockades.add(next);
		}
	}

	public List<SEUBlockade> getRelateBlockade() {
		return this.realteBlockades;
	}
	
	public void addSeuBlockade(SEUBlockade blockade) {
		this.realteBlockades.add(blockade);
	}
	
	public boolean removeSeuBLockade(SEUBlockade blockade) {
		return this.realteBlockades.remove(blockade);
	}

	public Point getUnderlyingPoint() {
		return underlyingPoint;
	}

	public void setUnderlyingPoint(Point underlyingPoint) {
		this.underlyingPoint = underlyingPoint;
	}

	public Line2D getLine() {
		return line;
	}

	public void setLine(Line2D line) {
		this.line = line;
	}
}
