package seu.util;

import java.util.Comparator;

import rescuecore2.standard.entities.StandardEntity;
import rescuecore2.worldmodel.EntityID;

public class StandardEntityIDComparator implements Comparator<StandardEntity> {

    public StandardEntityIDComparator() {
    }
    
    @Override
    public int compare(StandardEntity a, StandardEntity b) {
        int s1 = a.getID().getValue();
        int s2 = b.getID().getValue();
        return s1 - s2;
    }
}
